Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class Atomizer.AtomizingFunction

    java.lang.Object
      net.sf.saxon.expr.Atomizer.AtomizingFunction

All Implemented Interfaces:
  MappingFunction

Enclosing class:
  Atomizer

public static class Atomizer.AtomizingFunction
extends java.lang.Object
implements MappingFunction

Implement the mapping function

Method Summary
`static SequenceIterator` | `getAtomizingIterator(SequenceIterator base)`
`static Atomizer.AtomizingFunction` | `getInstance()`
`java.lang.Object` | `map(Item item, XPathContext context, java.lang.Object info)` Map one item to a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static Atomizer.AtomizingFunction getInstance()

### getAtomizingIterator

    public static SequenceIterator getAtomizingIterator(SequenceIterator base)

### map

    public java.lang.Object map(Item item,
                                XPathContext context,
                                java.lang.Object info)
                         throws XPathException

  Description copied from interface: `MappingFunction`
  Map one item to a sequence.

  Specified by:
    `map` in interface `MappingFunction`
  Parameters:
    `item` - The item to be mapped. If context is supplied, this must be the same as context.currentItem().
    `context` - The processing context. This is supplied only for mapping constructs that set the context node, position, and size. Otherwise it is null.
    `info` - Arbitrary information supplied by the creator of the MappingIterator. It must be read-only and immutable for the duration of the iteration.
  Returns:
    either (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) an Item if it maps to a single item, or (c) null if it maps to an empty sequence.
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD